require 'openssl'

module Signed
  # handles openssl hashing part
  #
  # openssl verify and sign
  module Signature
    module_function

    def sign_with(algo, data)
      OpenSSL::Digest.hexdigest(algo, data)
    end

    def verify_hash(algo, signature, data)
      hash = OpenSSL::Digest.hexdigest(algo, data)
      hash == signature
    end
  end
end
